{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"Updates a GitHub-hosted runner for an organization.\nOAuth app tokens and personal access tokens (classic) need the `manage_runners:org` scope to use this endpoint.","properties":{"path":{"type":"object","properties":{"org":{"type":"string","description":"The organization name. The name is not case sensitive."},"hosted_runner_id":{"type":"integer","description":"Unique identifier of the GitHub-hosted runner."}},"required":["org","hosted_runner_id"],"additionalProperties":false},"body":{"type":"object","properties":{"name":{"description":"Name of the runner. Must be between 1 and 64 characters and may only contain upper and lowercase letters a-z, numbers 0-9, '.', '-', and '_'.","type":"string"},"runner_group_id":{"description":"The existing runner group to add this runner to.","type":"integer"},"maximum_runners":{"description":"The maximum amount of runners to scale up to. Runners will not auto-scale above this number. Use this setting to limit your cost.","type":"integer"},"enable_static_ip":{"description":"Whether this runner should be updated with a static public IP. Note limit on account. To list limits on account, use `GET actions/hosted-runners/limits`","type":"boolean"},"size":{"description":"The machine size of the runner. To list available sizes, use `GET actions/hosted-runners/machine-sizes`","type":"string"},"image_source":{"description":"The source type of the runner image to use. Must match the source of the image specified by `image_id`. Can be one of `github`, `partner`, or `custom`.","type":"string","enum":["github","partner","custom"]},"image_id":{"description":"The unique identifier of the runner image. To list available images, use `GET /actions/hosted-runners/images/github-owned`, `GET /actions/hosted-runners/images/partner`, or `GET /actions/hosted-runners/images/custom`.","type":"string"},"image_version":{"description":"The version of the runner image to deploy. This is relevant only for runners using custom images.","type":["string","null"]},"image_gen":{"description":"Whether to enable image generation for this runner pool. When enabled, the runner pool is used to build and publish custom runner images.","type":"boolean"}},"examples":[{"name":"My larger runner","runner_group_id":1,"maximum_runners":50,"enable_static_ip":false}]}},"required":["path","body"],"additionalProperties":false},"name":"Update a GitHub-hosted runner for an organization","id":"github.actions.update-hosted-runner-for-org","example":{"path":{"org":"example","hosted_runner_id":1},"body":{"name":"My larger runner","runner_group_id":1,"maximum_runners":50,"enable_static_ip":false}},"maxRequests":1,"summary":false}}